# coding: utf-8

"""
    VMware Aria Automation Pipelines APIs

    Aria Automation Pipelines is a continuous integration and continuous delivery (CICD) tool that you use to build Pipelines that model the software release process in your DevOps lifecycle. By creating Pipelines, you build the code infrastructure that delivers your software rapidly and continuously.  This page describes the RESTful APIs for Aria Automation Pipelines. The APIs facilitate CRUD operations on the various resources and entities used throughout Aria Automation Pipelines (Pipelines, Endpoints, Variables, etc.) and allow operations on them (executing a Pipeline, validating an Endpoint connection, etc.).  The APIs that list collections of resources  also support OData like implementation. Below query params can be used across Aria Automation Pipelines entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/codestream/api/endpoints?$orderby=name%20desc```  2. `$top`, `$skip` - `$top` returns the requested number of resources. Used with `$skip`, the client can skip a given number of resources.      ```/codestream/api/endpoints?$expand=true&$top=10&$skip=2```  3. `page` and `$size` - page used in conjunction with `$size` helps in pagination of resources.      ```/codestream/api/endpoints?$expand=true&page=0&$size=5```  4. `$filter` - `$filter` returns a subset of resources that satisfy the given predicate expression.      ```     /codestream/api/endpoints?$filter=startswith(name, 'ABC')     /codestream/api/endpoints?$filter=toupper(name) eq 'ABCD-JENKINS'     /codestream/api/endpoints?$filter=substringof(%27bc%27,tolower(name))     /codestream/api/endpoints?$filter=name eq 'ABCD' and project eq 'demo'   # noqa: E501

    OpenAPI spec version: 2019-10-17
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class CertificateValidity(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'begins_on': 'int',
        'expires_on': 'int'
    }

    attribute_map = {
        'begins_on': 'beginsOn',
        'expires_on': 'expiresOn'
    }

    def __init__(self, begins_on=None, expires_on=None):  # noqa: E501
        """CertificateValidity - a model defined in Swagger"""  # noqa: E501
        self._begins_on = None
        self._expires_on = None
        self.discriminator = None
        if begins_on is not None:
            self.begins_on = begins_on
        if expires_on is not None:
            self.expires_on = expires_on

    @property
    def begins_on(self):
        """Gets the begins_on of this CertificateValidity.  # noqa: E501

        A UNIX timestamp in microseconds represnting when the validaty of the Certificate begins.  # noqa: E501

        :return: The begins_on of this CertificateValidity.  # noqa: E501
        :rtype: int
        """
        return self._begins_on

    @begins_on.setter
    def begins_on(self, begins_on):
        """Sets the begins_on of this CertificateValidity.

        A UNIX timestamp in microseconds represnting when the validaty of the Certificate begins.  # noqa: E501

        :param begins_on: The begins_on of this CertificateValidity.  # noqa: E501
        :type: int
        """

        self._begins_on = begins_on

    @property
    def expires_on(self):
        """Gets the expires_on of this CertificateValidity.  # noqa: E501

        A UNIX timestamp in microseconds represnting when the validaty of the Certificate expires.  # noqa: E501

        :return: The expires_on of this CertificateValidity.  # noqa: E501
        :rtype: int
        """
        return self._expires_on

    @expires_on.setter
    def expires_on(self, expires_on):
        """Sets the expires_on of this CertificateValidity.

        A UNIX timestamp in microseconds represnting when the validaty of the Certificate expires.  # noqa: E501

        :param expires_on: The expires_on of this CertificateValidity.  # noqa: E501
        :type: int
        """

        self._expires_on = expires_on

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CertificateValidity, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CertificateValidity):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
